Package org.apache.tapestry5.internal.services

## Class MessagesTrackingInfo

- java.lang.Object
- - org.apache.tapestry5.internal.services.MessagesTrackingInfo

- All Implemented Interfaces:
    `ClassNameHolder`

      public final class MessagesTrackingInfo
      extends java.lang.Object
      implements ClassNameHolder

  Class that holds information about a messages properties file for tracking.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessagesTrackingInfo​(Resource resource, java.lang.Object bundleId, java.lang.String className)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.Object` | `getBundleId()` |
    `java.lang.String` | `getClassName()` | Returns the class name associated with a given resource tracked by `URLChangeTracker`.
    `Resource` | `getResource()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagesTrackingInfo

          public MessagesTrackingInfo​(Resource resource,
                                      java.lang.Object bundleId,
                                      java.lang.String className)

  - ### Method Detail

    - #### getBundleId

          public java.lang.Object getBundleId()

    - #### getResource

          public Resource getResource()

    - #### getClassName

          public java.lang.String getClassName()

      Description copied from interface: `ClassNameHolder`
      Returns the class name associated with a given resource tracked by `URLChangeTracker`.
      Specified by:
        `getClassName` in interface `ClassNameHolder`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`